--- otp_src_R8B-0/erts/configure.in.ORIG	Wed Dec  5 22:21:06 2001
+++ otp_src_R8B-0/erts/configure.in	Wed Dec  5 22:45:29 2001
@@ -716,22 +716,6 @@
 dnl Stuff that should be moved into their respective application
 dnl ----------------------------------------------------------------------
 
-dnl XXX this looks really broken...
-AC_SUBST(DLDFLAGS)
-AC_SUBST(DCFLAGS)
-DLDFLAGS=""
-DCFLAGS=""
-if test x$ac_cv_func_dlopen = xyes; then
-	DLDFLAGS="-shared -fPIC"
-	DCFLAGS="-fPIC"
-fi
-
-dnl XXX broken too...
-if test "$GCC" = yes; then
-	DEBUG_FLAGS="-Wall -g"
-fi
-
-
 dnl for erl_interface
 LM_CHECK_FUNC_DECL(fprintf, [extern int fprintf();],,
                    AC_DEFINE(HAVE_CONFLICTING_FPRINTF_DECLARATION))
@@ -926,7 +910,7 @@
 dnl
 CXXFLAGS=
 AC_SUBST(CXXFLAGS)
-AC_CHECK_PROG(CXX, g++, g++, false)
+AC_PROG_CXX
 if test "$ac_cv_prog_CXX" = false; then
   echo "No C++ compiler found" > $ERL_TOP/lib/orber/SKIP
 fi
--- otp_src_R8B-0/lib/megaco/src/flex/Makefile.in.ORIG	Wed Dec  5 22:23:38 2001
+++ otp_src_R8B-0/lib/megaco/src/flex/Makefile.in	Wed Dec  5 22:24:58 2001
@@ -213,7 +213,7 @@
 	$(LEX) $(LEX_FLAGS) -P$* -o$@ $< 
 
 $(LIBDIR)/megaco_flex_scanner_drv.so: megaco_flex_scanner_drv.c $(LIBDIR)
-	$(CC) $(CFLAGS) -fpic -shared -o $(LIBDIR)/megaco_flex_scanner_drv.so $< -lfl
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(LIBDIR)/megaco_flex_scanner_drv.so $< -lfl
 
 $(LIBDIR):
 	-mkdir -p $(LIBDIR)
--- otp_src_R8B-0/lib/erl_interface/src/Makefile.in.ORIG	Wed Dec  5 22:25:38 2001
+++ otp_src_R8B-0/lib/erl_interface/src/Makefile.in	Wed Dec  5 22:27:06 2001
@@ -54,7 +54,7 @@
 DNS = -DUSE_DNS
 
 # CFLAGS += @CFLAGS@ $(TYPE_FLAGS) -I. -I$(RUNDIR) @DEFS@ $(ERL_SYSF) -DERLANG_DAEMON_PORT=$(ERLANG_DAEMON_PORT)
-CFLAGS += @LIB_CFLAGS@ @DCFLAGS@ $(TYPE_FLAGS) -I. @DEFS@ $(ERL_SYSF) -DEPMD_PORT=$(EPMD_PORT_NO)
+CFLAGS += @LIB_CFLAGS@ @DED_CFLAGS@ $(TYPE_FLAGS) -I. @DEFS@ $(ERL_SYSF) -DEPMD_PORT=$(EPMD_PORT_NO)
 
 # ifeq ($(findstring vxworks,$(TARGET)),vxworks)
 # CFLAGS += -I$(RESDIR)
--- otp_src_R8B-0/lib/megaco/src/flex/Makefile.in.ORIG	Wed Dec  5 23:37:47 2001
+++ otp_src_R8B-0/lib/megaco/src/flex/Makefile.in	Wed Dec  5 23:45:58 2001
@@ -212,8 +212,10 @@
 megaco_flex_scanner_drv.c: megaco_flex_scanner_drv.flex
 	$(LEX) $(LEX_FLAGS) -P$* -o$@ $< 
 
+# No need to link with -lfl as we have also defined %option noyywrap - and having
+# -lfl doesn't work under Darwin for some reason. - Sean
 $(LIBDIR)/megaco_flex_scanner_drv.so: megaco_flex_scanner_drv.c $(LIBDIR)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $(LIBDIR)/megaco_flex_scanner_drv.so $< -lfl
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(LIBDIR)/megaco_flex_scanner_drv.so $<
 
 $(LIBDIR):
 	-mkdir -p $(LIBDIR)
